JsonCpp project page | Classes | Namespace | JsonCpp home page

Classes | Namespaces | Functions
writer.h File Reference
`#include "value.h"`
`#include <ostream>`
`#include <string>`
`#include <vector>`
Include dependency graph for writer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Json::StreamWriter
| Usage: More...
class | Json::StreamWriter::Factory
| A simple abstract factory. More...
class | Json::StreamWriterBuilder
| Build a StreamWriter implementation. More...
class | Json::Writer
| Abstract class for writers. More...
class | Json::FastWriter
| Outputs a Value in JSON format without formatting (not human friendly). More...
class | Json::StyledWriter
| Writes a Value in JSON format in a human friendly way. More...
class | Json::StyledStreamWriter
| Writes a Value in JSON format in a human friendly way, to a stream rather than to a string. More...

## Namespaces
namespace | Json
| JSON (JavaScript Object Notation).

## Functions
String | Json::writeString (StreamWriter::Factory const &factory, Value const &root)
| Write into stringstream, then return string, for convenience.
String | Json::valueToString (Int value)
String | Json::valueToString (UInt value)
String | Json::valueToString (LargestInt value)
String | Json::valueToString (LargestUInt value)
String | Json::valueToString (double value, unsigned int precision=Value::defaultRealPrecision, PrecisionType precisionType=PrecisionType::significantDigits)
String | Json::valueToString (bool value)
String | Json::valueToQuotedString (const char *value)
String | Json::valueToQuotedString (const char *value, size_t length)
OStream & | Json::operator<< (OStream &, const Value &root)
| Output using the StyledStreamWriter.